<?php
/**
 * This file contains the CTestCase class.
 *
 * @author Qiang Xue <qiang.xue@gmail.com>
 * @link http://www.yiiframework.com/
 * @copyright 2008-2013 Yii Software LLC
 * @license http://www.yiiframework.com/license/
 */

if(!class_exists('PHPUnit_Runner_Version')) {
	// require_once('PHPUnit/Runner/Version.php');
	// require_once('PHPUnit/Util/Filesystem.php'); // workaround for PHPUnit <= 3.6.11

	spl_autoload_unregister(array('YiiBase','autoload'));
	// require_once('PHPUnit/Autoload.php');
	spl_autoload_register(array('YiiBase','autoload')); // put yii's autoloader at the end

	if (in_array('phpunit_autoload', spl_autoload_functions())) { // PHPUnit >= 3.7 'phpunit_autoload' was obsoleted
		spl_autoload_unregister('phpunit_autoload');
		Yii::registerAutoloader('phpunit_autoload');
	}
}

/* Ensures compatibility with PHPUnit < 6.x */	

if(!class_exists('PHPUnit_Framework_Constraint') && class_exists('PHPUnit\Framework\Constraint\Constraint'))	
{	
	abstract class PHPUnit_Framework_Constraint extends \PHPUnit\Framework\Constraint\Constraint {}	
}	
if(!class_exists('PHPUnit_Framework_TestCase') && class_exists('PHPUnit\Framework\TestCase'))	
{	
	abstract class PHPUnit_Framework_TestCase extends \PHPUnit\Framework\TestCase {}	
}

/**
 * CTestCase is the base class for all test case classes.
 *
 * @author Qiang Xue <qiang.xue@gmail.com>
 * @package system.test
 * @since 1.1
 */
abstract class CTestCase extends PHPUnit_Framework_TestCase
{
}
